<template>
  <div>
    <div class="step-heading">Генеральный директор</div>
    <div class="row">
      <div class="col-xs-12">
        <ob-input
          label="Фамилия"
          placeholder="Фамилия"
          :required="true"
          :is-valid="!!formData.ceo_lastname"
          v-model="formData.ceo_lastname"
          @input="onChangeFormData('ceo_lastname')"
        />
      </div>
    </div>
    <div class="row">
      <div class="col-xs-6">
        <ob-input
          label="Имя"
          placeholder="Имя"
          :required="true"
          :is-valid="!!formData.ceo_firstname"
          v-model="formData.ceo_firstname"
          @input="onChangeFormData('ceo_firstname')"
        />
      </div>
      <div class="col-xs-6">
        <ob-input
          label="Отчество"
          placeholder="Если есть"
          v-model="formData.ceo_middlename"
          @input="onChangeFormData('ceo_middlename')"
        />
      </div>
    </div>

  </div>
</template>

<script>
  import { mapGetters, mapActions } from 'vuex'
  import ObInput from 'common-components/src/obComponents/obInput'

  export default {
    name: 'RegistrationFourthStepUl',
    components: {
      ObInput
    },
    computed: {
      ...mapGetters({
        accreditationFormData: 'entry/accreditationFormData'
      }),
    },
    created() {
      this.formData = { ...this.accreditationFormData }
    },
    data() {
      return {
        formData: {}
      }
    },
    methods: {
      ...mapActions({
        setAccreditationFormData: 'entry/setAccreditationFormData'
      }),
      onChangeFormData(key) {
        const value = this.formData[key];
        this.setAccreditationFormData({ key, value });
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import "~common-components/src/static/css/mixins";

  /deep/ {

    .ob-ctrlgroup, .ob-ctrlgroup__content, .ob-ctrlgroup__item {
      width: 100%;
    }

    .ob-ctrlgroup__item {
      padding: 0 10px;
    }
  }

  .row {
    margin-bottom: 20px;
  }

  .step-heading {
    @include font-mixin(16px, 24px, 700, inherit, 0.4px);
    margin-bottom: 10px;

    sup {
      color: $color-error;
    }

    &:not(:first-child) {
      margin-top: 30px;
    }
  }

  .step-paragraph {
    @include font-mixin(14px, 18px, 400);
    margin-bottom: 10px;
  }

</style>